#!/bin/bash

# This script upgrades an Eclipse installation with Subclipse, Zest and Buckminster
# Run this script from within your Eclipse installation you want to upgrade, i.e.,
# this script assumes to be in the same folder as your Eclipse launcher.

echo Installing Subclipse ...
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://subclipse.tigris.org/update_1.8.x -installIU org.tigris.subversion.subclipse.feature.group,org.tigris.subversion.clientadapter.feature.feature.group,org.tigris.subversion.clientadapter.javahl.feature.feature.group,org.tigris.subversion.clientadapter.svnkit.feature.feature.group,org.tmatesoft.svnkit.feature.group

echo Installing Buckminster ...
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/releases/kepler -installIU org.eclipse.zest.feature.group,org.eclipse.zest.sdk.feature.group
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/tools/buckminster/updates-4.2 -installIU org.eclipse.buckminster.core.feature.feature.group,org.eclipse.buckminster.pde.feature.feature.group,org.eclipse.buckminster.subclipse.feature.feature.group

echo Installing ConQAT ...
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://www4.in.tum.de/~ccsm/eclipse_update_site -installIU org.conqat.ide.dev_tools_feature.feature.group

echo Installing Java8 support
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/eclipse/updates/4.3-P-builds/P20140317-1600/ -installIU org.eclipse.jdt.a2.java8patch.feature.group,org.eclipse.jdt.java8patch.feature.group,org.eclipse.pde.java8patch.feature.group

echo Installing SWTBot
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/technology/swtbot/releases/2.4.0/ -installIU org.eclipse.swtbot.feature.group

echo Installing nebula widgets
./eclipse -noSplash -application org.eclipse.equinox.p2.director -repository http://archive.eclipse.org/nebula/Q12015/release/ -installIU org.eclipse.nebula.feature.feature.group
